namespace DocuMed.PWA.Utilities;

public interface IUserUtility
{
    public Task<string> GetBearerTokenAsync();
    public Task SetBearerTokenAsync(string token);
    public Task<ApplicationUserSDto> GetUserAsync();
    public Task SetUserAsync(ApplicationUserSDto user);
    public Task LogoutAsync();

}